Debian Bug report logs - #633460
pu: package freebsd-utils/8.1-4+squeeze1

version graph

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Robert Millan <rmh@debian.org>

Date: Sun, 10 Jul 2011 13:36:01 UTC

Severity: normal

Tags: squeeze

Merged with 633475

Fixed in version 6.0.3

Done: Adam D. Barratt <adam@adam-barratt.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, rmh@debian.org, debian-bsd@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#633460; Package release.debian.org. (Sun, 10 Jul 2011 13:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
New Bug report received and forwarded. Copy sent to rmh@debian.org, debian-bsd@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>. (Sun, 10 Jul 2011 13:36:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: pu: package freebsd-utils/8.1-4+squeeze1
Date: Sun, 10 Jul 2011 13:32:52 +0000
[Message part 1 (text/plain, inline)]
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: pu

devd, the device state change daemon (similar to udev on Linux) was shipped in
squeeze without its corresponding config file and init.d script, which makes
it practically useless.  This was reported (and fixed) as bug #630614 in sid.

I'm proposing a backport of this fix, see attached diff.

-- System Information:
Debian Release: 6.0.2
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: kfreebsd-amd64 (x86_64)

Kernel: kFreeBSD 8.1-1-amd64
Locale: LANG=ca_AD.UTF-8, LC_CTYPE=ca_AD.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
[devd.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#633460; Package release.debian.org. (Mon, 11 Jul 2011 18:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 11 Jul 2011 18:21:03 GMT) Full text and rfc822 format available.

Message #10 received at 633460@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Robert Millan <rmh@debian.org>, 633460@bugs.debian.org
Subject: Re: Bug#633460: pu: package freebsd-utils/8.1-4+squeeze1
Date: Mon, 11 Jul 2011 19:18:57 +0100
merge 633460 633475
thanks

Hi,

Please don't submit separate reports for multiple changes to the same
package; it just makes it harder to keep track of things.

On Sun, 2011-07-10 at 13:32 +0000, Robert Millan wrote:
> devd, the device state change daemon (similar to udev on Linux) was shipped in
> squeeze without its corresponding config file and init.d script, which makes
> it practically useless.  This was reported (and fixed) as bug #630614 in sid.

I notice that you've already uploaded the package including both sets of
changes.  Whilst we're admittedly sometimes not the fastest to respond,
a lack of negative reply does not equate to permission to upload -
particularly when barely 24 hours have passed since the initial request.

In any case, I'm afraid I'll be rejecting the upload, due to the amount
of cruft in the diff; e.g.

 debian/patches/.svn/text-base/032_delete_key.diff.svn-base    | 2102 +++++++
 debian/local/devd/.svn/entries                                |  130 
 debian/local/devd/.svn/text-base/debian.conf.svn-base         |   22 
 debian/local/devd/.svn/text-base/pci.conf.svn-base            | 1266 ++++
 debian/local/devd/.svn/text-base/usb.conf.svn-base            | 2791 +++++++++

From an overall diffstat of

 124 files changed, 27822 insertions(+), 10 deletions(-)

the vast majority appears to be VCS noise:

$ filterdiff -x '*/.svn*' freebsd-utils_8.1-4+squeeze1.debdiff | diffstat | tail -n1
 14 files changed, 6049 insertions(+), 10 deletions(-)

Regards,

Adam





Merged 633460 633475. Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Mon, 11 Jul 2011 18:21:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#633460; Package release.debian.org. (Mon, 11 Jul 2011 18:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 11 Jul 2011 18:39:03 GMT) Full text and rfc822 format available.

Message #17 received at 633460@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 633460@bugs.debian.org
Subject: Re: Bug#633460: pu: package freebsd-utils/8.1-4+squeeze1
Date: Mon, 11 Jul 2011 20:37:45 +0200
2011/7/11 Adam D. Barratt <adam@adam-barratt.org.uk>:
> merge 633460 633475
> thanks
>
> Hi,
>
> Please don't submit separate reports for multiple changes to the same
> package; it just makes it harder to keep track of things.

Ok.

> I notice that you've already uploaded the package including both sets of
> changes.  Whilst we're admittedly sometimes not the fastest to respond,
> a lack of negative reply does not equate to permission to upload -
> particularly when barely 24 hours have passed since the initial request.

Sorry about that, I wasn't sure if approval needed to happen before or
after the upload.  I'll keep in mind next time.

> In any case, I'm afraid I'll be rejecting the upload, due to the amount
> of cruft in the diff; e.g.
>
>  debian/patches/.svn/text-base/032_delete_key.diff.svn-base    | 2102 +++++++
>  debian/local/devd/.svn/entries                                |  130
>  debian/local/devd/.svn/text-base/debian.conf.svn-base         |   22
>  debian/local/devd/.svn/text-base/pci.conf.svn-base            | 1266 ++++
>  debian/local/devd/.svn/text-base/usb.conf.svn-base            | 2791 +++++++++

My bad.  It seems I somehow didn't have DH_ALWAYS_EXCLUDE when running
debuild.  Sorry again.

Those issues aside, are the diffs I presented acceptable?

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#633460; Package release.debian.org. (Mon, 11 Jul 2011 19:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 11 Jul 2011 19:15:03 GMT) Full text and rfc822 format available.

Message #22 received at 633460@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Robert Millan <rmh@debian.org>, 633460@bugs.debian.org
Subject: Re: Bug#633460: pu: package freebsd-utils/8.1-4+squeeze1
Date: Mon, 11 Jul 2011 20:11:02 +0100
On Mon, 2011-07-11 at 20:37 +0200, Robert Millan wrote:
> 2011/7/11 Adam D. Barratt <adam@adam-barratt.org.uk>:
> > I notice that you've already uploaded the package including both sets of
> > changes.  Whilst we're admittedly sometimes not the fastest to respond,
> > a lack of negative reply does not equate to permission to upload -
> > particularly when barely 24 hours have passed since the initial request.
> 
> Sorry about that, I wasn't sure if approval needed to happen before or
> after the upload.

Having it beforehand tends to make things easier if there are any
queries or issues.

> I'll keep in mind next time.

Thanks.

> > In any case, I'm afraid I'll be rejecting the upload, due to the amount
> > of cruft in the diff; e.g.
[...]
> Those issues aside, are the diffs I presented acceptable?

In all honesty, I haven't yet had time to review them; I mostly replied
at this point because of the diff noise - if it hadn't been for that,
I'd probably not have commented until I (or someone else) had checked
them a little more.

Looking at the BTS, it appears from the log of #601803 that the proposed
changes to ifconfig for wireless support have not yet been proved to be
complete and functional in unstable - is that correct?  Where the issue
applies to both stable and unstable/testing, having it resolved in the
latter suites is generally a prerequisite for a stable update.

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#633460; Package release.debian.org. (Tue, 12 Jul 2011 07:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 12 Jul 2011 07:09:03 GMT) Full text and rfc822 format available.

Message #27 received at 633460@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 633460@bugs.debian.org
Subject: Re: Bug#633460: pu: package freebsd-utils/8.1-4+squeeze1
Date: Tue, 12 Jul 2011 09:05:13 +0200
2011/7/11 Adam D. Barratt <adam@adam-barratt.org.uk>:
> Looking at the BTS, it appears from the log of #601803 that the proposed
> changes to ifconfig for wireless support have not yet been proved to be
> complete and functional in unstable - is that correct?

No, it has been proven to be functional both in unstable and in
stable.  Here's a report for unstable (which wasn't CCed to the BTS):

http://lists.debian.org/debian-bsd/2011/07/msg00094.html

My local tests are succesful both in stable and unstable too, although
I can't test it completely on my own because there are no visible APs.
However the problem at hand (SIOCIFCREATE2: Bad address) has
definitely disappeared.

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#633460; Package release.debian.org. (Tue, 12 Jul 2011 22:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 12 Jul 2011 22:33:03 GMT) Full text and rfc822 format available.

Message #32 received at 633460@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Robert Millan <rmh@debian.org>, 633460@bugs.debian.org
Subject: Re: Bug#633460: pu: package freebsd-utils/8.1-4+squeeze1
Date: Tue, 12 Jul 2011 23:28:41 +0100
On Tue, 2011-07-12 at 09:05 +0200, Robert Millan wrote:
> 2011/7/11 Adam D. Barratt <adam@adam-barratt.org.uk>:
> > Looking at the BTS, it appears from the log of #601803 that the proposed
> > changes to ifconfig for wireless support have not yet been proved to be
> > complete and functional in unstable - is that correct?
[...]
> My local tests are succesful both in stable and unstable too, although
> I can't test it completely on my own because there are no visible APs.
> However the problem at hand (SIOCIFCREATE2: Bad address) has
> definitely disappeared.

Apologies if I'm missing something, but in that case why is #601803
still open?  There seemed to be a little confusion at the end of the
report as to whether it was fixed or not.

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#633460; Package release.debian.org. (Tue, 12 Jul 2011 22:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 12 Jul 2011 22:42:05 GMT) Full text and rfc822 format available.

Message #37 received at 633460@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 633460@bugs.debian.org, 601803-done@bugs.debian.org
Subject: Re: Bug#633460: pu: package freebsd-utils/8.1-4+squeeze1
Date: Wed, 13 Jul 2011 00:40:15 +0200
Version: 8.2+ds1-1

2011/7/13 Adam D. Barratt <adam@adam-barratt.org.uk>:
> Apologies if I'm missing something, but in that case why is #601803
> still open?  There seemed to be a little confusion at the end of the
> report as to whether it was fixed or not.

TBH, I don't really know.  It was marked as fixed and later unmarked
as a result of my control request [1], but it's clearly not what I
intended.

In any case, it was indeed fixed with 8.2+ds1-1.  Sorry about this confusion.

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=188;bug=601803

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#633460; Package release.debian.org. (Thu, 21 Jul 2011 18:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 21 Jul 2011 18:51:03 GMT) Full text and rfc822 format available.

Message #42 received at 633460@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 633460@bugs.debian.org
Subject: fixed in testing
Date: Thu, 21 Jul 2011 20:48:18 +0200
In case this helps, freebsd-utils 8.2+ds2-1, which includes these
fixes, has just migrated to testing.

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#633460; Package release.debian.org. (Fri, 29 Jul 2011 21:36:03 GMT) Full text and rfc822 format available.

Message #45 received at 633460@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: Robert Millan <rmh@debian.org>, 633460@bugs.debian.org
Subject: Re: Bug#633460: pu: package freebsd-utils/8.1-4+squeeze1
Date: Fri, 29 Jul 2011 23:32:39 +0200
[Message part 1 (text/plain, inline)]
Robert,

am Sun, Jul 10, 2011 at 01:32:52PM +0000 hast du folgendes geschrieben:
> devd, the device state change daemon (similar to udev on Linux) was shipped in
> squeeze without its corresponding config file and init.d script, which makes
> it practically useless.  This was reported (and fixed) as bug #630614 in sid.
> 
> I'm proposing a backport of this fix, see attached diff.

please go ahead.  If it's causing any regressions after the next point
release, please contact d-release@ so that we can push fixes through
squeeze-updates.  We are being more liberal with kfreebsd as
regressions there only affect this `technology preview'.

Kind regards
Philipp Kern

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#633460; Package release.debian.org. (Sat, 30 Jul 2011 00:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 30 Jul 2011 00:51:06 GMT) Full text and rfc822 format available.

Message #50 received at 633460@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Philipp Kern <pkern@debian.org>
Cc: 633460@bugs.debian.org
Subject: Re: Bug#633460: pu: package freebsd-utils/8.1-4+squeeze1
Date: Sat, 30 Jul 2011 02:48:06 +0200
2011/7/29 Philipp Kern <pkern@debian.org>:
> please go ahead.  If it's causing any regressions after the next point
> release, please contact d-release@ so that we can push fixes through
> squeeze-updates.  We are being more liberal with kfreebsd as
> regressions there only affect this `technology preview'.

Uploaded.

-- 
Robert Millan




Added tag(s) pending. Request was from Adam D. Barratt <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Wed, 03 Aug 2011 20:21:07 GMT) Full text and rfc822 format available.

Added tag(s) squeeze. Request was from Adam D. Barratt <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sun, 18 Sep 2011 21:51:15 GMT) Full text and rfc822 format available.

Bug marked as fixed in version 6.0.3, send any further explanations to Robert Millan <rmh@debian.org> Request was from Adam D. Barratt <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sat, 08 Oct 2011 16:57:09 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 06 Nov 2011 07:38:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 06:46:31 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.